# -*- coding: utf8 -*-
from pyramid.view import view_config

from ringo_bmasreport.reports.durchfuehrungsbericht import (
    filters,
    recipe,
)
from efa.views.frueherkennung import report_targetsystem
from euhu.programs.qe import validate

from qe.model.participation import QEParticipation as Participation
from qe.model.participant import indicators, derive_indicators


@view_config(route_name='frueherkennung', renderer='frueherkennung.mako')
def create_participation_report(request):
    return report_targetsystem(request, "qe", Participation, recipe, validate,
                               derive_indicators, indicators, filters)
